SDL_GetGamepadSensorData(3)

NAME
SDL_GetGamepadSensorData - Get the current state of a gamepad sensor.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

bool SDL_GetGamepadSensorData(SDL_Gamepad *gamepad, SDL_SensorType type, float *data, int num_values);

DESCRIPTION
The number of values and interpretation of the data is sensor dependent. See the remarks in SDL_SensorType for details for each type of sensor.

FUNCTION PARAMETERS

gamepad
    the gamepad to query.

type
    the type of sensor to query.

data
    a pointer filled with the current sensor state.

num_values
    the number of values to write to data.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.